Skip to main content

Current Metastore

View as Markdown

MetastoreInfo object

namestring

The user-specified name of the metastore.

storage_rootstring

The storage root URL for metastore

default_data_access_config_idstring

Unique identifier of the metastore's (Default) Data Access Configuration.

storage_root_credential_idstring

UUID of storage credential to access the metastore storage_root.

delta_sharing_scopestring

The scope of Delta Sharing enabled for the metastore.

Values: INTERNAL, INTERNAL_AND_EXTERNAL

delta_sharing_recipient_token_lifetime_in_secondsint64

The lifetime of delta sharing recipient token in seconds.

delta_sharing_organization_namestring

The organization name of a Delta Sharing entity, to be used in Databricks-to-Databricks Delta Sharing as the official name.

ownerstring

The owner of the metastore.

privilege_model_versionstring

Privilege model version of the metastore, of the form major.minor (e.g., 1.0).

regionstring

Cloud region which the metastore serves (e.g., us-west-2, westus).

metastore_idstring

Unique identifier of metastore.

created_atint64

Time at which this metastore was created, in epoch milliseconds.

created_bystring

Username of metastore creator.

updated_atint64

Time at which the metastore was last modified, in epoch milliseconds.

updated_bystring

Username of user who last modified the metastore.

storage_root_credential_namestring

Name of the storage credential to access the metastore storage_root.

cloudstring

Cloud vendor of the metastore home shard (e.g., aws, azure, gcp).

global_metastore_idstring

Globally unique metastore ID across clouds and regions, of the form cloud:region:metastore_id.

external_access_enabledboolean

Whether to allow non-DBR clients to directly access entities under the metastore.

Get Metastore Summary GA

GET /api/2.1/unity-catalog/metastore_summary

Gets information about a metastore. This summary includes the storage credential, the cloud vendor, the cloud region, and the global metastore ID.

API scopes: unity-catalog

Response

metastore_idstring

Unique identifier of metastore.

namestring

The user-specified name of the metastore.

default_data_access_config_idstring

Unique identifier of the metastore's (Default) Data Access Configuration.

storage_root_credential_idstring

UUID of storage credential to access the metastore storage_root.

cloudstring

Cloud vendor of the metastore home shard (e.g., aws, azure, gcp).

regionstring

Cloud region which the metastore serves (e.g., us-west-2, westus).

global_metastore_idstring

Globally unique metastore ID across clouds and regions, of the form cloud:region:metastore_id.

storage_root_credential_namestring

Name of the storage credential to access the metastore storage_root.

privilege_model_versionstring

Privilege model version of the metastore, of the form major.minor (e.g., 1.0).

delta_sharing_scopestring

The scope of Delta Sharing enabled for the metastore.

Values: INTERNAL, INTERNAL_AND_EXTERNAL

delta_sharing_recipient_token_lifetime_in_secondsint64

The lifetime of delta sharing recipient token in seconds.

delta_sharing_organization_namestring

The organization name of a Delta Sharing entity, to be used in Databricks-to-Databricks Delta Sharing as the official name.

storage_rootstring

The storage root URL for metastore

ownerstring

The owner of the metastore.

created_atint64

Time at which this metastore was created, in epoch milliseconds.

created_bystring

Username of metastore creator.

updated_atint64

Time at which the metastore was last modified, in epoch milliseconds.

updated_bystring

Username of user who last modified the metastore.

external_access_enabledboolean

Whether to allow non-DBR clients to directly access entities under the metastore.